> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List provider integrations

> List provider integrations the caller can read.



## OpenAPI

````yaml /openapi.json get /api/svc/v1/provider-integrations
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: Logs
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
paths:
  /api/svc/v1/provider-integrations:
    get:
      tags:
        - Provider Integrations
      summary: List provider integrations
      description: List provider integrations the caller can read.
      operationId: ProviderIntegration.getProviderIntegrations
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 1000
            nullable: true
            default: 100
            example: 10
            type: integer
        - name: offset
          required: false
          in: query
          description: Number of items to skip
          schema:
            minimum: 0
            nullable: true
            default: 0
            example: 0
            type: integer
        - name: type
          required: true
          in: query
          description: Provider integration type.
          schema:
            type: string
            enum:
              - blob-storage
              - secret-store
              - docker-registry
              - model
              - vcs
              - cluster
              - notification-channel
              - helm-repo
              - jwt-auth
              - mcp-server
              - guardrail-config
        - name: fqn
          required: false
          in: query
          description: >-
            Human-readable Fully Qualified Name of the provider integration.
            Cannot be provided together with id.
          schema:
            type: string
            nullable: true
        - name: id
          required: false
          in: query
          description: >-
            System-generated provider integration ID. Cannot be provided
            together with fqn.
          schema:
            type: string
            nullable: true
        - name: attributes
          required: false
          in: query
          description: >-
            Comma-separated list of attributes to return (e.g. id,name). When
            provided, only the specified fields are fetched. `id` is always
            included.
          schema:
            nullable: true
            type: array
            items:
              type: string
      responses:
        '200':
          description: Paginated list of provider integrations.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProviderIntegrationsResponse'
        '400':
          description: Cannot provide both fqn and id.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - jwt: []
components:
  schemas:
    ListProviderIntegrationsResponse:
      type: object
      properties:
        data:
          description: List of provider integrations.
          type: array
          items:
            $ref: '#/components/schemas/ProviderIntegration'
        pagination:
          description: Pagination metadata.
          allOf:
            - $ref: '#/components/schemas/Pagination'
      required:
        - data
        - pagination
      title: ListProviderIntegrationsResponse
      x-fern-type-name: ListProviderIntegrationsResponse
    HttpError:
      type: object
      properties:
        statusCode:
          type: integer
          description: HTTP Status Code
        message:
          type: string
          description: Error Message
        code:
          oneOf:
            - type: integer
            - type: string
          description: Error code
          nullable: true
        details:
          type: array
          description: Error details
          items:
            type: object
          nullable: true
      required:
        - statusCode
        - message
      title: HttpError
      x-fern-type-name: HttpError
    ProviderIntegration:
      type: object
      properties:
        id:
          type: string
          description: System-generated provider integration ID.
          example: jqfwg345gi25n5ju2yz5iz6m
        name:
          type: string
        fqn:
          type: string
          description: Human-readable Fully Qualified Name of the provider integration.
        type:
          type: string
          enum:
            - blob-storage
            - secret-store
            - docker-registry
            - model
            - vcs
            - cluster
            - notification-channel
            - helm-repo
            - jwt-auth
            - mcp-server
            - guardrail-config
        manifest:
          type: object
          additionalProperties: true
          nullable: true
        metadata:
          type: object
          additionalProperties: true
          nullable: true
        providerAccountFqn:
          type: string
        providerAccount:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ProviderAccount'
        createdBySubject:
          $ref: '#/components/schemas/Subject'
        createdAt:
          format: date-time
          type: string
          nullable: true
        updatedAt:
          format: date-time
          type: string
          nullable: true
        createdBy:
          type: string
          nullable: true
      required:
        - id
        - name
        - fqn
        - type
        - providerAccountFqn
        - createdBySubject
      title: ProviderIntegration
      x-fern-type-name: ProviderIntegration
    Pagination:
      type: object
      properties:
        total:
          type: integer
          description: Total number of items
          example: 100
        offset:
          type: integer
          description: Number of items skipped
          example: 0
          nullable: true
        limit:
          type: integer
          description: Number of items per page
          example: 10
          nullable: true
      required:
        - total
      title: Pagination
      x-fern-type-name: Pagination
    ProviderAccount:
      type: object
      properties:
        id:
          type: string
          description: System-generated provider account ID.
          example: jqfwg345gi25n5ju2yz5iz6m
          nullable: true
        fqn:
          type: string
          description: Human-readable Fully Qualified Name of the provider account.
        provider:
          type: string
          enum:
            - aws
            - gcp
            - azure
            - dockerhub
            - openai
            - databricks
            - truefoundry
            - jfrog
            - ttl
            - custom
            - quay
            - github
            - gitlab
            - bitbucket
            - bitbucket_data_center
            - ai21
            - cohere
            - anthropic
            - anyscale
            - deepinfra
            - groq
            - mistral-ai
            - nomic
            - palm
            - perplexity-ai
            - together-ai
            - ollama
            - slack
            - aws-bedrock
            - google-vertex
            - google-gemini
            - azure-openai
            - azure-foundry
            - self-hosted-model
            - mcp-server-group
            - pagerduty
            - ms-teams
            - model-provider-accounts
            - guardrail-config-group
            - openrouter
            - sambanova
            - aws-sagemaker
            - cerebras
            - wafer
            - hashicorp
            - snowflake-cortex
            - cloudera
            - xai
            - baseten
            - virtual-model
            - elevenlabs
            - deepgram
            - cartesia
            - custom-endpoint
            - smallest-ai
            - aws-claude-platform
            - aws-bedrock-mantle
        manifest:
          type: object
          additionalProperties: true
        integrations:
          description: List of Provider Integrations
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ProviderIntegration'
        createdBySubject:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Subject'
        accountId:
          type: string
          nullable: false
        createdAt:
          format: date-time
          type: string
          nullable: true
        updatedAt:
          format: date-time
          type: string
          nullable: true
        createdBy:
          type: string
          nullable: true
      required:
        - fqn
        - provider
        - manifest
        - accountId
      title: ProviderAccount
      x-fern-type-name: ProviderAccount
    Subject:
      type: object
      properties:
        subjectId:
          type: string
          description: Subject ID
        subjectType:
          description: Subject type
          allOf:
            - $ref: '#/components/schemas/SubjectType'
        subjectSlug:
          type: string
          description: Subject slug
          nullable: true
        subjectDisplayName:
          type: string
          description: Subject display name
          nullable: true
        subjectPatName:
          type: string
          description: Subject PAT name
          nullable: true
        subjectControllerName:
          type: string
          nullable: true
        subjectExternalIdentitySlug:
          type: string
          description: External identity slug (external_identity_id:sub:email)
          nullable: true
      required:
        - subjectId
        - subjectType
      title: Subject
      x-fern-type-name: Subject
    SubjectType:
      type: string
      enum:
        - user
        - team
        - serviceaccount
        - virtualaccount
        - external-identity
        - agent-identity
        - role
      description: >-
        Type of the authenticated subject. "user" for human users,
        "serviceaccount" (also known as virtual account) for programmatic
        access.
      title: SubjectType
      x-fern-type-name: SubjectType
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````